summaryrefslogtreecommitdiffstats
path: root/hosts/alsvid3/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'hosts/alsvid3/postinst')
-rw-r--r--hosts/alsvid3/postinst8
1 files changed, 4 insertions, 4 deletions
diff --git a/hosts/alsvid3/postinst b/hosts/alsvid3/postinst
index dbe436f..b8fa975 100644
--- a/hosts/alsvid3/postinst
+++ b/hosts/alsvid3/postinst
@@ -4,15 +4,15 @@
# mkswap needs to be given the full path to the swap file including the
# root file system's mount point, or else this false error happens:
# mkswap: error: /var/swap is mounted; will not make swapspace
-fallocate -l 16GiB "${target}/var/swap" || return 1
-chmod 0600 "${target}/var/swap" || return 1
-mkswap "${target}/var/swap" || return 1
+fallocate -l 16GiB "${target}/boot/swap" || return 1
+chmod 0600 "${target}/boot/swap" || return 1
+mkswap "${target}/boot/swap" || return 1
printf 'vm.swappiness = 10\n' >"${target}/etc/sysctl.d/vm-swappiness.conf"
# Hibernation.
mkdir -p "${target}/boot/grub/" || return 1
root="UUID=$(blkid -o value -s UUID "${dev}1")"
-offset="$(in_target filefrag -v /var/swap | sed -n '
+offset="$(in_target filefrag -v /boot/swap | sed -n '
/physical_offset:/{
n;
s/^[ 0-9.]*:[ 0-9.]*: *\([0-9][0-9]*\)...*$/\1/;